Bug 448905 - file conflict between ia64/i386 versions of bash
file conflict between ia64/i386 versions of bash
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bash (Show other bugs)
4.7
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Roman Rakus
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 09:20 EDT by Alexander Todorov
Modified: 2014-01-12 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: bash-3.0-21.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:07:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-05-29 09:20:27 EDT
Description of problem:
File conflict between ia64 (primary) and i386 (compatibility) version of the
package.

Version-Release number of selected component (if applicable):
bash-3.0-19.7

How reproducible:
100%

Steps to Reproduce:
1. Install the ia64 version of the package
2. Install ia32el and verify that it is running
3. Install the i386 version of the package
  
Actual results:
file /usr/share/doc/bash-3.0/loadables/Makefile from install of bash-3.0-19.7
conflicts with file from package bash-3.0-19.7
file /usr/share/doc/bash-3.0/loadables/perl/Makefile from install of
bash-3.0-19.7 conflicts with file from package bash-3.0-19.7


Expected results:
no file conflicts

Additional info:
This is a regression against RHEL4-U6
Comment 3 Roman Rakus 2008-05-30 03:30:47 EDT
It's not regression. These files were always different.
Comment 5 Alexander Todorov 2008-05-30 05:11:16 EDT
Bugs exhibiting this issue:
bug #448905, bug #448906, bug #448907, bug #448909, bug #448910, bug #448911
Comment 8 RHEL Product and Program Management 2008-09-05 13:05:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Roman Rakus 2008-12-08 09:08:42 EST
I'll do the same change like in #174380 - don't ship examples/loadables.
Comment 10 Roman Rakus 2008-12-08 10:07:19 EST
Fixed in bash-3.0-21.el4
Comment 14 errata-xmlrpc 2009-05-18 16:07:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0960.html

Note You need to log in before you can comment on or make changes to this bug.